WRITE_ONE_PAGE(9)

NAME
write_one_page - write out a single page and optionally wait on I/O

SYNOPSIS

int write_one_page(struct page * page, int wait);

ARGUMENTS

page
    the page to write

wait
    if true, wait on writeout

DESCRIPTION

The page must be locked by the caller and will be unlocked upon return.

write_one_page returns a negative error code if I/O failed.

COPYRIGHT